    require 'sketchup.rb' 

    Sketchup::require 'SoapSkinBubble/generateSoapSkinBubble'

    if (not file_loaded?("SoapSkinBubble/SoapSkinBubbleMenus.rb"))
        #-----------------------------------------------------------------------------------------
        sbToolbar = UI::Toolbar.new("起泡泡")
        sbCmd01 = UI::Command.new("起泡泡") {(Sketchup.active_model.select_tool GenerateSoapSkin.new)}
        sbCmd01.small_icon = "Images/GenerateSoapSkinSmall.png"
        sbCmd01.large_icon = "Images/GenerateSoapSkinLarge.png"
        sbCmd01.tooltip = "起泡泡"
        sbToolbar.add_item(sbCmd01)
        sbCmd02 = UI::Command.new("编辑比率") {(Sketchup.active_model.select_tool EditSoapSkinRatio.new)}
        sbCmd02.small_icon = "Images/EditSoapSkinRatioSmall.png"
        sbCmd02.large_icon = "Images/EditSoapSkinRatioLarge.png"
        sbCmd02.tooltip = "编辑比率"
        sbToolbar.add_item(sbCmd02)
        sbCmd03 = UI::Command.new(("编辑压力")) {(Sketchup.active_model.select_tool GenerateSoapBubble.new)}
        sbCmd03.small_icon = "Images/GenerateSoapBubbleSmall.png"
        sbCmd03.large_icon = "Images/GenerateSoapBubbleLarge.png"
        sbCmd03.tooltip = "编辑压力"
        sbToolbar.add_item(sbCmd03)

        sbCmd04 = UI::Command.new(("播放动画")) {(Sketchup.active_model.select_tool FormFinding.new)}
        sbCmd04.small_icon = "Images/FormFindingStartSmall.png"
        sbCmd04.large_icon = "Images/FormFindingStartLarge.png"
        sbCmd04.tooltip = "播放动画"
        sbToolbar.add_item(sbCmd04)
        sbCmd05 = UI::Command.new(("停止动画")) { (Sketchup.active_model.active_view.animation = nil) }
        sbCmd05.small_icon = "Images/FormFindingStopSmall.png"
        sbCmd05.large_icon = "Images/FormFindingStopLarge.png"
        sbCmd05.tooltip = "停止动画"
        sbToolbar.add_item(sbCmd05)

    end
    #-----------------------------------------------------------------------------
    file_loaded("SoapSkinBubble/SoapSkinBubbleMenus.rb")
#end